logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.


Post new topic   Forum Index -> Apache View previous topic :: View next topic
Reply to topic   Topic: Need help in Installing apache in AIX7.1
Author
Rasheed



Joined: 07 Jan 2014
Posts: 5
Location: India,Chennai

PostPosted: Wed 30 Dec '20 21:32    Post subject: Need help in Installing apache in AIX7.1 Reply with quote

HI,

I want to install apache 2.4.x in our AIX server which is having apache1.x that was installed very long back.

I downloaded the apr & apr utils in sourcelib of apache then downloaded pcre and tried to install pcre using
./configure --prefix=/app/dev/vista/apache2.4/pcre
Code:
./configure --prefix=/app/dev/vista/apache2.4/pcre


It failed with error
Quote:
configure: error: Invalid C++ compiler or C++ compiler flags


rpm -qa | grep gcc
libgcc-4.2.0-3.ppc
gcc-4.2.0-3.ppc
libgcc-4.8.3-1.ppc

Then I tried below option through which I am able to install pcre but really dont know how this option resolved it.
Code:
./configure --prefix=/app/dev/vista/apache2.4/pcre --disable-cpp


Next I ran below command to compile apache
Code:
./configure --prefix=/app/dev/vista/apache2.4 --with-included-apr --with-included-apr-util --with-pcre=/app/dev/vista/apache2.4/pcre --enable-mpms-shared='prefork worker' --enable-mods-shared=most


followed by make command. This ran for long time and got below error
Quote:

ld: 0711-224 WARNING: Duplicate symbol: .bcopy
ld: 0711-224 WARNING: Duplicate symbol: .memmove
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more information.
ld: 0711-317 ERROR: Undefined symbol: .EC_curve_nid2nist
collect2: ld returned 8 exit status
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 1.


Stop.


rpm -qa | grep openssl
openssl-1.0.1j-1.ppc


Request anyone's help here to get apache 2.4.x installed in AIX. We usually manage Linux apache package, This is the only server we need to work on AIX that we have to install opensource because application having dedicated FileSystem and wont be using the default location.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6966
Location: Germany, Next to Hamburg

PostPosted: Tue 05 Jan '21 16:16    Post subject: Reply with quote

I made a build script for various linux distros. I'm aware that AIX is an UNIX system. But maybe it gives you a hint.

https://github.com/JBlond/debian_build_apache24

Note that even though I try to download most source I still have to install some system libs https://github.com/JBlond/debian_build_apache24/blob/master/preparesystem.sh
Back to top


Reply to topic   Topic: Need help in Installing apache in AIX7.1 View previous topic :: View next topic
Post new topic   Forum Index -> Apache